/create_push_order

Like orders, push_orders are a description of a payment obligation--the client's obligation to disburse funds to the consumer. Funds are disbursed to verified debit cards, bank accounts, or Paypal or Venmo wallets. Clients can opt to perform their own verification of the consumer or can use PayNearMe's verification services. The person who receives funds is known as a user and is identified with a push_user_identifier. Users can be created while creating the push_order or can be created in a separate /create_user call. Additionally, if you have the consumer/user's payment method information, you can use the send_payment option to immediately disburse the funds to his/her/their debit card, bank account, or mobile wallet.

Body Params
string
required

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string
required

The decimal amount of the order.

string
required
Defaults to USD

USD

string
required

A unique, client-created string that identifies the customer.

string

A unique, client-created string that identifies the order.

string
required

A unique, client-created string that identifies the user receiving the disbursement funds.

string

Use this parameter to pass back additional information about the order. The values passed in this field are available in receipt text, macros, and the confirmation verbiage that displays in approve response.

string

Contains text relevant to the order which displays in the Business Portal and Agent Interface when viewing the order.

string

The consumer’s mobile phone number.

string

The consumer's email address.

string
enum

Specifies whether the consumer’s preferred language is

  • en = English
  • sp = Spanish

Allowed:
string

The user's first name.

string

The user's last name.

string

The user's four-digit year of birth (i.e., YYYY)

string

The user's street address from his/her billing address.

string

The user's city from his/her billing address.

string

The user's ZIP code from his/her billing address.

string

The user's two-digit country code from his/her billing address.

string

The name of the account holder associated with the card or bank account.

string

The phone number of the account holder associated with this card or bank account.

string

The user's four-digit year of birth (i.e., YYYY).

string

The billing street address associated with the card or bank account.

string

The 5- or 9-digit billing ZIP code associated with the card or bank account.

string
enum

The type of payment method where the funds for this push order will be disbursed. Supported options include the following:

  • ach
  • card
  • paypal
  • venmo

Allowed:
string

The PAN of the debit card.

string

The expiration date of the debit card in MM/YYYY format.

string

The card verification value (CVV) of the credit or debit card.

string

The routing number associated with this bank account.

string

The account number associated with this bank account.

string
enum

The type of bank account.

Allowed:
string

If set to true, PayNearMe will only return the pnm_order_identifier and pnm_customer_identifier.

string

Set to true to make a payment for this order at the same time you are creating the payment method.

string

The payment amount you are making towards the specified order. Required if send_payment=true.

string

USD

string

Specifies the name of the pricing schedule (e.g.,agent, agent_recurring, consumer, consumer_recurring,consumer_ivr). Supported values can include site-configured pricing schedules.

string

The email or mobile number that PayNearMe will contact to confirm completion of the payment.

Response

Language
URL
Response
Choose an example:
application/json